API reference
List Agent Payment state transitions
List Agent Payment state transitions. Review the StableOps Agent Payments API endpoint, its authentication, request parameters, validation rules.
GET
/v1/agent-payments/payments/{intentId}/transitionsAuthorization
bearerAuth AuthorizationBearer <token>
Paste your API key from the dashboard.
In: header
Response Body
application/json
curl -X GET "https://example.com/v1/agent-payments/payments/{intentId}/transitions"{
"data": [
{
"id": "string",
"sequence": 0,
"from_payment_status": "created",
"to_payment_status": "created",
"from_resource_status": "not_requested",
"to_resource_status": "not_requested",
"reason_code": "string",
"actor_type": "string",
"actor_id": "string",
"metadata": null,
"created_at": "2019-08-24T14:15:22Z"
}
]
}Empty
How is this guide?
Last updated
Retrieve an Agent Payment GET
Retrieve an Agent Payment. Review the StableOps Agent Payments API endpoint, its authentication, request parameters, validation rules, response fields.
Retrieve an Agent Payment receipt GET
Retrieve an Agent Payment receipt. Review the StableOps Agent Payments API endpoint, its authentication, request parameters, validation rules, response fields.